/*
 Theme Name:   RPSM - Rise Property Solutions Melbourne
 Theme URI:    https://rps.melbourne/
 Description:  Theme created uniquely for RPSM
 Author:       Boss Creative Agency
 Author URI:   https://www.bosscreative.agency/
 Template:     generatepress
 Version:      1.0.0
*/

/*
 * Reusable Side Drawer
 */
 .no-scroll {
    overflow: hidden;
    position: relative; /* Ensure that this doesn't inadvertently offset any fixed positioned children */
    height: 100%; /* Make sure the height encompasses the full viewport */
 }
 .drawer {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 96vw;
    background-color: #ffffff;
    transform: translateX(100%);
    transition: transform 0.3s ease-out;
    z-index:9999;
  }
  
  .drawer[open] {
    transform: translateX(0);
  }
  
  .drawer__overlay {
    content: "";
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100vw;
    background: #000000;
    opacity: 0;
    visibility: hidden;
    transition: visibility 0.6s ease-in-out, opacity 0.6s ease-in-out;
    right: 100%;
  }
  
  .drawer[open] .drawer__overlay {
    opacity: 0.3;
    visibility: visible;
    transition: opacity 0.3s ease-out;
  }
  
  .drawer__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 80px;
    padding: 2% 8%;
    background-color: var(--base);
    border-bottom: solid 1px var(--base);
  }
  
  .drawer__title {
    font-size: 1.4rem;
    font-weight: 900;
    padding: 12px 0;
  }
  
  .drawer__close-button {
    border: none;
    background: none;
    padding: 0;
    margin: 0;
    width: 18px;
    height: 18px;
    cursor: pointer;
    color: var(--contrast) !important;
    background: transparent !important;
  }
  
  .drawer__close-button svg {
    width: 100%;
    height: 100%;
  }
  
  .drawer__content {
    padding: 5% 8% 12% 8%;
    overflow-y: auto !important;
  }
  .drawer--large {
    max-width: 890px;
  }
  .admin-bar .drawer {
    top: 32px;
  }
  /* Specifics for Sidebar */
  drawer-content .ff-el-group.ff-text-right.ff_submit_btn_wrapper {padding-top:32px;padding-bottom:32px;}
  drawer-content .ff-el-group.ff-el-section-break.ff_left.first-heading {margin-top:0 !important;}